活动
最新
False
横幅背景图像
用户界面自动化活动
上次更新日期 2024年2月26日

通过用户界面自动化实现自动化的应用程序和技术

本节中的表格通过指明所需的最低用户界面自动化包/Studio 版本,显示了可以使用 UiPath.UIAutomation.Activities (UIA) 包自动化的应用程序和技术。 它还介绍了在更高版本中为该应用程序/技术添加的改进以及使用它的先决条件。

网页浏览器

应用程序/技术所需的最低 UIA 包/Studio 版本更高版本中添加的改进先决条件
ChromeStudio v2016.2
  • UiPath Chrome 扩展程序 MV3 从 Studio 2022.4.1、2021.10.8、2020.10.14、2019.10.9 开始可用。 也适用于所有 2022.10 和 2023.4 版本。
  • UIA v19.7.0 - Chrome 扩展程序也可以安装在版本低于 v64 的 Chrome 上。

  • UIA v20.4.1 - 可以使用策略设置安装 Chrome 扩展程序。

  • UIA v21.4.3 - 增加了对使用 Shadow DOM 作为其用户界面元素的网站的支持。

  • UIA v21.10.3 - 已实现 ChromiumAPI 输入方法。

  • 从 Studio v2022.4 开始,UiPath Chrome 扩展程序可用于自动化Chrome Apps

  • UIA v22.4.4 - 新的 Chrome 扩展程序也可在 Mac 上使用。

必须安装Chrome 扩展程序。
Edge (Chromium)Studio v2019.10.5 (UIA v19.11.3)
  • UiPath Edge 扩展程序 MV3 从 Studio 2022.4.4 版开始提供, 2021.10.8、2020.10.14、2019.10.9。

  • UIA v20.10.5 - 添加了对 Edge IE 模式的支持。

  • UIA v21.10.3 - Edge 扩展程序在 IE 模式下支持 Java 小程序和 ActiveX 控件。

  • UIA v21.4.3 - 增加了对使用 Shadow DOM 作为其用户界面元素的网站的支持。

  • UIA v21.10.3 - 已实现 ChromiumAPI 输入方法。

  • 从 Studio v2022.4 开始,UiPath Edge 扩展程序可用于自动化Edge Apps

  • Windows 10 版本 1803 或更高版本

  • Microsoft Edge Chromium 版本 79 或更高版本

  • 必须安装Edge 扩展程序。

FirefoxStudio v2016.2
  • UIA v21.4.3 - 增加了对使用 Shadow DOM 作为其用户界面元素的网站的支持。
  • Mozilla Firefox v52.0 或更高版本

  • 必须安装Firefox 扩展程序。

Internet ExplorerStudio v2016.2不适用Internet Explorer v8.0 或更高版本
网络驱动程序UIA v19.10.1
  • UIA v19.10.1 - WebDriver 协议只能与 Google Chrome 和 Mozilla Firefox 一起使用。

  • UIA v20.4.1 - 添加了对 Microsoft Edge Chromium 浏览器的 WebDriver 协议支持。

  • UIA v21.10.1 - 通过 WebDriver 提供跨域 IFRAME 支持。

根据网页浏览器的不同,必须在客户端计算机上安装以下其中一项:

网页嵌入框架

应用程序/技术所需的最低 UIA 包/Studio 版本更高版本中添加的改进先决条件
Jx 浏览器UIA v19.3.0

UIA v19.5.0 - 屏幕和数据抓取可用于为依赖 JxBrowser 库的应用程序创建自动化项目。

不适用
头显UIA v19.8.0-ceUIA v21.10.3 - CefSharp 嵌入式微件中的用户界面元素(例如 SharpBrowser、带有 Fiori Launchpad 的 SAP NWBC)被识别为属于主机应用程序实例。 不适用
WebView2UIA v22.4.3Embedded Edge 支持 

虚拟化技术

应用程序/技术所需的最低 UIA 包/Studio 版本更高版本中添加的改进先决条件
CitrixUIA v18.4.2 - 原生支持 Citrix XenApps
  • UIA v19.4.1 - 您可以使用原生选取器为通过 Citrix Virtual Apps 和 Desktops 公开的网页应用程序创建浏览器自动化。

  • UIA v22.4.4 - 支持在嵌套的 CitrixApps 中实现自动化。

  • 虚拟应用程序 v6.5 或更高版本

  • 虚拟桌面 v7.0 或更高版本

  • 客户端计算机上必须安装Citrix 版扩展程序。

  • 必须在所有 Citrix 应用程序服务器上部署UiPath 远程运行时组件。

Microsoft 远程桌面和 AppsUIA v19.4.1
  • UIA v20.10.12、 UIA v21.10.5、UIA v22.4.3 – 添加了对Azure Windows 虚拟桌面客户端( msrdc.exe ) 的支持。
  • UIA 21.10.3 - 通过 Microsoft 远程应用程序配置的应用程序可以实现自动化。

Microsoft App-VUIA v19.6.0支持通过 Microsoft App-V 虚拟化技术公开的网页和原生应用程序。必须安装适用于基础技术的 UiPath 扩展程序,并且需要一些额外的步骤(浏览器扩展程序或 Java 扩展程序; Microsoft App-V 支持和限制中的详细信息)。
VMware HorizonUIA v20.4.1不适用

ERP 应用程序

应用程序/技术所需的最低 UIA 包/Studio 版本更高版本中添加的改进先决条件
SAP WinGUIUIA v20.4.1不适用用于 Windows 7.40 或更高版本的 SAP WinGUI
SAP WebGUIUIA v22.12.0-预览版不适用SAP WebGUI
SAP FIORIUIA v20.10.5不适用SAP FIORI 1.52 及更高版本,由 SAP 维护。
SalesforceUIA v21.10.3Chrome 和 Edge 现在支持具有特定 Salesforce AURA 组件路径和属性以及可靠选取器的 Salesforce Lightning。

可以在以下网页浏览器上创建 Salesforce 用户界面自动化:

应用程序框架

应用程序/技术所需的最低 UIA 包/Studio 版本更高版本中添加的改进先决条件
SilverlightStudio v2018.1 (UIA v18.2)不适用
  • 需要 Silverlight Developer Runtime 版本 5.1.50918.0。

  • 必须安装Silverlight 扩展程序。

JavaStudio v2018.1 (UIA v18.2)
  • UIA v19.7.0 - 添加了为 OpenJDK 创建自动化项目的可能性。

  • UIA v19.8.0-ce - 现在可以原生生成 NetPhandom 框架的选取器。

  • UIA 22.2 - 注入机制变得更加可靠,并且能够自动化应用程序,例如通过第三方应用程序(如 OWS 或 IcedTea Web)启动的 .jnlp 应用程序。
  • UIA v22.4.4 - 现在正式支持 Java 版本 16 和 17。

  • UIA v22.4.4 - 改进了对 Java Konsis 和自定义 Java Framework McBeans 的支持。

  • Java 扩展程序与从 Java 3 到 Java 17 的任何 JRE 版本兼容。

  • 必须安装Java 扩展程序。

WinFormsUIA v2016.2使用主动式辅助框架实现自动化。不适用
Win32UIA v2016.2使用主动式辅助框架实现自动化。不适用
WPFUIA v2016.2使用主动式辅助框架实现自动化。不适用
VB6/EpicUIA v22.10.2UIA v22.10.2 - 更好的 VB6/Epic 属性: ctrlidautomationid 属性。 不适用
QtUIA v22.10.2
  • UIA v22.10.2 - 通过新型选取器标签 qt支持基于 Qt 框架的应用程序。
  • 目前,仅支持微件。 目前不提供 QtQuick/QML 支持。

不适用

此页面是否有帮助?

获取您需要的帮助
了解 RPA - 自动化课程
UiPath Community 论坛
Uipath 白色徽标
信任与安全
© 2005-2024 UiPath. All rights reserved.